#define vmr	vmr_		/* parameter for Name Translation is l_ */
#define ROUTINE int
/* @(#)stda.fc	19.1 (ESO-DMD) 02/25/03 13:54:11 */
/*===========================================================================
  Copyright (C) 1995 European Southern Observatory (ESO)
 
  This program is free software; you can redistribute it and/or 
  modify it under the terms of the GNU General Public License as 
  published by the Free Software Foundation; either version 2 of 
  the License, or (at your option) any later version.
 
  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.
 
  You should have received a copy of the GNU General Public 
  License along with this program; if not, write to the Free 
  Software Foundation, Inc., 675 Massachusetts Ave, Cambridge, 
  MA 02139, USA.
 
  Correspondence concerning ESO-MIDAS should be addressed as follows:
	Internet e-mail: midas@eso.org
	Postal address: European Southern Observatory
			Data Management Division 
			Karl-Schwarzschild-Strasse 2
			D 85748 Garching bei Muenchen 
			GERMANY
===========================================================================*/

/*++++++++++++++++++++++++  STDA.FC +++++++++++++++++++++++++++++++++++++++
.LANGUAGE C
.IDENTIFICATION Module stda.fc
.COMMENTS
Module contains layer between the descriptor related FORTRAN STxxxx interfaces
and the SC_interfaces written in (hopefully independent) C
.AUTHOR         K. Banse  	ESO - Garching
.KEYWORDS       standard interfaces.
.ENVIRONMENT    FORTRAN and C standards
.VERSION  [1.00] 871207:  created from SXFTOC.C

 021129		last modif

-----------------------------------------------------------------------------*/

#include <ftoc.h>
#include <midas_def.h>
	
#include <string.h>


#if 0     /* ==== Original Code ==== */
SUBROUTINE STDRDZ(no,dirsize,direlem,status)
fint2c  *no;            /* IN : no. of data frame */
fint2c  *dirsize;       /* OUT : no. of chars used by descr-directory */
fint2c  *direlem;       /* OUT : no. of descr. (incl directory) */
fint2c  *status;
#else     /* ==== Generated Code === */
#define STDRDZ	stdrdz_
STDRDZ(va_alist) va_dcl 
{ va_list Cargs;
#endif    /* ======================= */
  va_start(Cargs);       /* <forif> */

*PARAM(4,4,0,fint2c *) = SCDRDZ(*PARAM(1,4,0,fint2c *),PARAM(2,4,0,fint2c *),PARAM(3,4,0,fint2c *));
}

#if 0     /* ==== Original Code ==== */
SUBROUTINE STDCOP(from,to,mask,descr,status)
fint2c	*from;		/* IN: no. of source frame  */
fint2c	*to;		/* IN: no. of destination frame  */
fint2c	*mask;		/* IN: copy_mask  */
CHARACTER   descr;	/* IN: name of descr. to copy (if mask = 4) */
fint2c	*status;
#else     /* ==== Generated Code === */
#define STDCOP	stdcop_
STDCOP(va_alist) va_dcl 
{ va_list Cargs;
#endif    /* ======================= */
  int FORmark;           /* <forif> */
  va_start(Cargs);       /* <forif> */
  FORmark = ftoc_mark(); /* <forif> */

    *PARAM(5,5,1,fint2c *) = SCDCOP(*PARAM(1,5,0,fint2c *),*PARAM(2,5,0,fint2c *),*PARAM(3,5,0,fint2c *),STRIPPED_STRING(4,5,0));
  ftoc_free(FORmark);    /* <forif> */
}

#if 0     /* ==== Original Code ==== */
SUBROUTINE STDDEL(no,descr,status)
fint2c  *no;            /* IN: no. of data frame */
CHARACTER   descr;      /* IN: descriptor name */
fint2c  *status;
#else     /* ==== Generated Code === */
#define STDDEL	stddel_
STDDEL(va_alist) va_dcl 
{ va_list Cargs;
#endif    /* ======================= */
  int FORmark;           /* <forif> */
  va_start(Cargs);       /* <forif> */
  FORmark = ftoc_mark(); /* <forif> */

   *PARAM(3,3,1,fint2c *) = SCDDEL(*PARAM(1,3,0,fint2c *),STRIPPED_STRING(2,3,0));
  ftoc_free(FORmark);    /* <forif> */
}


